Page MenuHomeFreeBSD

GCC Warning - unused-but-set-variable
AbandonedPublic

Authored by araujo on Aug 25 2015, 8:23 AM.

Details

Summary

Remove unused variable olm1

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 229
Build 229: arc lint + arc unit

Event Timeline

araujo updated this revision to Diff 8194.Aug 25 2015, 8:23 AM
araujo retitled this revision from to GCC Warning - unused-but-set-variable.
araujo updated this object.
araujo edited the test plan for this revision. (Show Details)
araujo added reviewers: rodrigc, bapt.
araujo abandoned this revision.Aug 25 2015, 9:48 AM

Need to send upstream, but the change is too mini less for that right now.

rodrigc edited edge metadata.

Just because the change needs to be submitted upstream, do not give up.
Matt Ahrens can help with changes that need to be pushed upstream to Illumos. @mahrens , can you help with this?

araujo reclaimed this revision.Aug 25 2015, 11:00 PM

Reopen this review.

@mahrens any news from this patch?

mahrens edited edge metadata.Nov 10 2015, 4:24 PM

You can use the instructions here: https://github.com/openzfs/openzfs to submit a pull request and get regression tests. Then solicit code reviews to developer@lists.illumos.org.

@araujo : the instructions that @mahrens gave are pretty straightforward. I looked at: https://github.com/openzfs/openzfs/pulls
but did not see you open a pull request. Do you plan to do this?

@araujo : the instructions that @mahrens gave are pretty straightforward. I looked at: https://github.com/openzfs/openzfs/pulls
but did not see you open a pull request. Do you plan to do this?

Not yet, I plan to do this week.

Best,

This patch doesn't apply for Illumos, as their merge.c seems more updated than the one we have.

From Illumos:
292 /*
293 * Don't do the recursive equivalency checking more than
294 * we have to.
295 */
296 if (olm1 == NULL || olm1->ml_type->t_id != ml1->ml_type->t_id) {
297 if (ml1->ml_size != ml2->ml_size ||
298 !equiv_node(ml1->ml_type, ml2->ml_type, ed))
299 return (0);
300 }

I do believe soom we will import these changes from vendor.

araujo abandoned this revision.Nov 23 2015, 5:02 AM

Waiting for the next import from vendor.